# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'airspaceRules_CTR.ui'
#
# Created: Sat Apr 29 11:03:51 2017
#      by: PyQt5 UI code generator 5.2.1
#
# WARNING! All changes made in this file will be lost!

from PyQt5 import QtCore, QtGui, QtWidgets

class Ui_airspaceRulesWidget_CTR(object):
    def setupUi(self, airspaceRulesWidget_CTR):
        airspaceRulesWidget_CTR.setObjectName("airspaceRulesWidget_CTR")
        airspaceRulesWidget_CTR.resize(400, 237)
        self.verticalLayout = QtWidgets.QVBoxLayout(airspaceRulesWidget_CTR)
        self.verticalLayout.setObjectName("verticalLayout")
        self.groupBox_2 = QtWidgets.QGroupBox(airspaceRulesWidget_CTR)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.groupBox_2.sizePolicy().hasHeightForWidth())
        self.groupBox_2.setSizePolicy(sizePolicy)
        self.groupBox_2.setObjectName("groupBox_2")
        self.gridLayout = QtWidgets.QGridLayout(self.groupBox_2)
        self.gridLayout.setObjectName("gridLayout")
        self.label_5 = QtWidgets.QLabel(self.groupBox_2)
        self.label_5.setObjectName("label_5")
        self.gridLayout.addWidget(self.label_5, 0, 0, 1, 1)
        self.spawnCTR_maxFL_edit = QtWidgets.QSpinBox(self.groupBox_2)
        self.spawnCTR_maxFL_edit.setMinimum(100)
        self.spawnCTR_maxFL_edit.setMaximum(350)
        self.spawnCTR_maxFL_edit.setSingleStep(10)
        self.spawnCTR_maxFL_edit.setProperty("value", 330)
        self.spawnCTR_maxFL_edit.setObjectName("spawnCTR_maxFL_edit")
        self.gridLayout.addWidget(self.spawnCTR_maxFL_edit, 0, 3, 1, 1)
        self.label_9 = QtWidgets.QLabel(self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Maximum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_9.sizePolicy().hasHeightForWidth())
        self.label_9.setSizePolicy(sizePolicy)
        self.label_9.setAlignment(QtCore.Qt.AlignCenter)
        self.label_9.setObjectName("label_9")
        self.gridLayout.addWidget(self.label_9, 0, 2, 1, 1)
        self.spawnCTR_minFL_edit = QtWidgets.QSpinBox(self.groupBox_2)
        self.spawnCTR_minFL_edit.setMinimum(100)
        self.spawnCTR_minFL_edit.setMaximum(350)
        self.spawnCTR_minFL_edit.setSingleStep(10)
        self.spawnCTR_minFL_edit.setProperty("value", 270)
        self.spawnCTR_minFL_edit.setObjectName("spawnCTR_minFL_edit")
        self.gridLayout.addWidget(self.spawnCTR_minFL_edit, 0, 1, 1, 1)
        self.label = QtWidgets.QLabel(self.groupBox_2)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 1, 0, 1, 1)
        self.label_2 = QtWidgets.QLabel(self.groupBox_2)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 2, 1, 2)
        self.CTRrangeDistance_edit = QtWidgets.QSpinBox(self.groupBox_2)
        self.CTRrangeDistance_edit.setMinimum(50)
        self.CTRrangeDistance_edit.setMaximum(500)
        self.CTRrangeDistance_edit.setProperty("value", 60)
        self.CTRrangeDistance_edit.setObjectName("CTRrangeDistance_edit")
        self.gridLayout.addWidget(self.CTRrangeDistance_edit, 1, 1, 1, 1)
        self.verticalLayout.addWidget(self.groupBox_2)
        self.groupBox = QtWidgets.QGroupBox(airspaceRulesWidget_CTR)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.groupBox.sizePolicy().hasHeightForWidth())
        self.groupBox.setSizePolicy(sizePolicy)
        self.groupBox.setObjectName("groupBox")
        self.formLayout = QtWidgets.QFormLayout(self.groupBox)
        self.formLayout.setObjectName("formLayout")
        self.label_8 = QtWidgets.QLabel(self.groupBox)
        self.label_8.setObjectName("label_8")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.LabelRole, self.label_8)
        self.routingPoints_edit = QtWidgets.QLineEdit(self.groupBox)
        self.routingPoints_edit.setObjectName("routingPoints_edit")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.FieldRole, self.routingPoints_edit)
        self.verticalLayout.addWidget(self.groupBox)
        self.groupBox_3 = QtWidgets.QGroupBox(airspaceRulesWidget_CTR)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.groupBox_3.sizePolicy().hasHeightForWidth())
        self.groupBox_3.setSizePolicy(sizePolicy)
        self.groupBox_3.setObjectName("groupBox_3")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.groupBox_3)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.semiCircRule_radioButton_EW = QtWidgets.QRadioButton(self.groupBox_3)
        self.semiCircRule_radioButton_EW.setChecked(True)
        self.semiCircRule_radioButton_EW.setObjectName("semiCircRule_radioButton_EW")
        self.horizontalLayout.addWidget(self.semiCircRule_radioButton_EW)
        self.semiCircRule_radioButton_NS = QtWidgets.QRadioButton(self.groupBox_3)
        self.semiCircRule_radioButton_NS.setObjectName("semiCircRule_radioButton_NS")
        self.horizontalLayout.addWidget(self.semiCircRule_radioButton_NS)
        self.semiCircRule_radioButton_off = QtWidgets.QRadioButton(self.groupBox_3)
        self.semiCircRule_radioButton_off.setObjectName("semiCircRule_radioButton_off")
        self.horizontalLayout.addWidget(self.semiCircRule_radioButton_off)
        self.verticalLayout.addWidget(self.groupBox_3)
        self.label_5.setBuddy(self.spawnCTR_minFL_edit)
        self.label_9.setBuddy(self.spawnCTR_maxFL_edit)
        self.label.setBuddy(self.CTRrangeDistance_edit)
        self.label_8.setBuddy(self.routingPoints_edit)

        self.retranslateUi(airspaceRulesWidget_CTR)
        QtCore.QMetaObject.connectSlotsByName(airspaceRulesWidget_CTR)

    def retranslateUi(self, airspaceRulesWidget_CTR):
        _translate = QtCore.QCoreApplication.translate
        self.groupBox_2.setTitle(_translate("airspaceRulesWidget_CTR", "Ranges"))
        self.label_5.setText(_translate("airspaceRulesWidget_CTR", "CTR receives aircraft between:"))
        self.spawnCTR_maxFL_edit.setPrefix(_translate("airspaceRulesWidget_CTR", "FL"))
        self.label_9.setText(_translate("airspaceRulesWidget_CTR", "and"))
        self.spawnCTR_minFL_edit.setPrefix(_translate("airspaceRulesWidget_CTR", "FL"))
        self.label.setText(_translate("airspaceRulesWidget_CTR", "Hand over aircraft past:"))
        self.label_2.setText(_translate("airspaceRulesWidget_CTR", "from radar centre"))
        self.CTRrangeDistance_edit.setSuffix(_translate("airspaceRulesWidget_CTR", " NM"))
        self.groupBox.setTitle(_translate("airspaceRulesWidget_CTR", "Generated routes"))
        self.label_8.setText(_translate("airspaceRulesWidget_CTR", "Turning points:"))
        self.routingPoints_edit.setToolTip(_translate("airspaceRulesWidget_CTR", "Separate with whitespace"))
        self.routingPoints_edit.setPlaceholderText(_translate("airspaceRulesWidget_CTR", "None"))
        self.groupBox_3.setTitle(_translate("airspaceRulesWidget_CTR", "Semi-circular rule"))
        self.semiCircRule_radioButton_EW.setText(_translate("airspaceRulesWidget_CTR", "E/W"))
        self.semiCircRule_radioButton_NS.setText(_translate("airspaceRulesWidget_CTR", "N/S"))
        self.semiCircRule_radioButton_off.setText(_translate("airspaceRulesWidget_CTR", "Off"))

